-------------------------------------------------------------------------------
--
-- Title       : contatore1
-- Design      : lezione_12_11
-- Author      : ascia
-- Company     : DIEEI
--
-------------------------------------------------------------------------------
--
-- File        : contatore_v1.vhd
-- Generated   : Mon Nov 12 17:27:18 2012
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.22
--
-------------------------------------------------------------------------------
--
-- Description : 
--
-------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {contatore1} architecture {behavioral}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity contatore2 is
	 port(
		 nw : in STD_LOGIC;
		 clk : in STD_LOGIC;
		 conto : out INTEGER range 0 to 7
	     );
end contatore2;


architecture behavioral of contatore2 is
signal cnt: integer range 0 to 7;
begin
	process(nw,clk)
	
	begin
		if nw = '1' then
			cnt<= 0;
		elsif clk'event and clk='0' then -- fronte di discesa
			cnt<= (cnt +1) mod 8;
		end if;
        
    end process;
	
	conto <= cnt; 

end behavioral;
