library ieee;
use  ieee.std_logic_1164.all;


entity tb_contatore is
end tb_contatore;

architecture tbb of tb_contatore is

component contatore1 is
	port ( nw : in STD_LOGIC;
		 clk : in STD_LOGIC;
		 conto : out INTEGER range 0 to 7
	     );
end component;

signal nw, clk: std_logic;
signal conto : integer range 0 to 7;

begin
	dut: contatore1 port map(nw,clk,conto);
	
	nw <= '0' after 0 ns, '1' after 10 ns, '0' after 20 ns, '1' after 150 ns, '0' after 160 ns;
	
	process
	begin
		clk<= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns;
	end process;
	
end tbb;	