library ieee;
use ieee.std_logic_1164.all;

entity fsm is
	port( rst,clk: in std_logic;
	      i: in integer range 0 to 3;
	      stato : out integer range 0 to 4 
		  );
end fsm;

architecture behavioral of fsm is
begin
	process(rst,clk)
	variable conta: integer range 0 to 3;
	variable st: integer range 0 to 4;
     begin
	 if rst = '1' then
		 conta:=0;
		 st := 0;
	 elsif clk'event and clk='0' then
		 case st is 
			 when 0 => if i= 0 then st:= 1;
			           elsif i= 1 then st:= 2;
				 	   else st:=0;
					   end if;
			when  1 => st:= 3;
			when  2 => st:= 4;
			           conta:=0;
			when  3 => st:= 0;
			when  4 => if conta = 3 then 
				            st:= 0;
			            else conta:= conta+1;
						end if;
		 end case;
	 end if;
	end process;
 end behavioral;
 
				
						
	
		  