library ieee;
use ieee.std_logic_1164.all;

entity mcm_tb is
end mcm_tb;

architecture tbbmcm of mcm_tb is
 component mcm is
	port( A,B : in integer range 0 to 255;
	      nw,clk: in std_logic;
		  R: out integer range 0 to 255;
		  ready: out std_logic);
end  component;

signal A,B,R: integer range 0 to 255;
signal nw,clk,ready: std_logic;

begin
	dut: mcm port map (A,B,nw,clk,R,ready);
	
	process
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns;
	end process;
	
	nw <= '0' after 0 ns, '1' after 11 ns, '0' after 21 ns, '1' after 41 ns, '0' after 51 ns;
	
	A<= 3 after 0 ns, 4 after 30 ns;
	B<= 2 after 0 ns, 5 after 30 ns;
	
end tbbmcm;